From d071fb374257dded5854c8cf905b9f9820ebcdbd Mon Sep 17 00:00:00 2001
From: Mike Palmiotto <mike.palmiotto@crunchydata.com>
Date: Wed, 4 Mar 2020 01:58:39 +0000
Subject: [PATCH 04/11] Fix allocation of MySubprocess

---
 src/backend/postmaster/subprocess.c | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

diff --git a/src/backend/postmaster/subprocess.c b/src/backend/postmaster/subprocess.c
index e127236513..c4fe641456 100644
--- a/src/backend/postmaster/subprocess.c
+++ b/src/backend/postmaster/subprocess.c
@@ -27,7 +27,7 @@
 
 PgSubprocess	*MySubprocess;
 
-PgSubprocess process_types[] = {
+static PgSubprocess process_types[] = {
 	{
 		.progname = "boot",
 		.name = "checker",
@@ -201,9 +201,6 @@ PgSubprocess process_types[] = {
 void
 InitializeMySubprocess(SubprocessType type)
 {
-	/* Globally set subprocess information */
 	MySubprocessType = type;
-	MySubprocess = (PgSubprocess *)malloc(sizeof(PgSubprocess));
-
-	memcpy(MySubprocess, &process_types[type], sizeof(PgSubprocess));
+	MySubprocess = &process_types[type];
 }
-- 
2.21.0

